<?php
$action = 'list';
include_once 'adv_common.php';
if($user->getAccess($dbconnection,"esia_device") == 1)
{ 
	if($action == "getHost")
	{
		try
		{
			$syslog = Model_syslog::instanceSyslogServer($dbconnection,$_GET['syslogid']);
			$json = $syslog->getHosts(SyslogServer::OUTPUT_JSON);
			echo $json;
			exit(0);
		}
		catch(Exception $ex)
		{
			$ERRORS[] = array('name' => 'HTTP error' ,'message' => $ex->getMessage());
			$smarty->assign('ERRORS',$ERRORS);
		}
	}
	elseif($action == "update" || $action == "add")
	{
		if($action == "add")
		{
			$setting = Model_adm::getAdvanceNodeConfig($dbconnection,NULL,$_GET['id'])[0];
			$_REQUEST['node'] = $setting['node_id'];
			$syslog = Model_esia::InstanceNode($dbconnection,$setting['node_id']);
			$array = array("url" => "http://".$syslog->getIPv4Adress());
			$adv = Model_adm::updateAdvanceNodeConfig($dbconnection,$_GET['id'],json_encode($array));
		}
		//On n'oublie surtout pas de vérifier si l'utilisateur connecté à bien les droits avant toute choses.
		$adv_config_id = $_REQUEST['id'];
		$node_id = $_REQUEST['node'];
		try
		{
			if(isset($_POST['syslog_srv']) && !empty($_POST['syslog_srv']))
			{
				$array = array('url' => $_POST['syslog_srv']);
				Model_adm::updateAdvanceNodeConfig($dbconnection,$adv_config_id,json_encode($array));
				
				$services = Model_esia::getServices($dbconnection,$node_id);
				$found = FALSE;
				
				foreach ($services as $serv )
				{
					if($serv['check_plugin_name'] == 'MAN_SYSLOG_AUTO_LINK' ||  $serv['check_plugin_name'] == 'CHECK_SYSLOG_AUTO_LINK')
					{
						$found = TRUE;
						break;
					}
						
				}
				if($found == TRUE)
				{
					model_adm::reloadService($dbconnection, $node_id);
				}
				else
				{
					$plugin = model_esia::getPlugin($dbconnection,'MAN_SYSLOG_AUTO_LINK');
					$plugin = $plugin[0];
					model_adm::addService($dbconnection, 'MAN_SYSLOG_AUTO_LINK', $plugin['id'], $node_id, 
						$plugin['interval_time'], $plugin['parameter'], $plugin['priority'], null, null);
					$plugin = model_esia::getPlugin($dbconnection,'CHECK_SYSLOG_AUTO_LINK');
					$plugin = $plugin[0];
					model_adm::addService($dbconnection, 'CHECK_SYSLOG_AUTO_LINK', $plugin['id'], $node_id,
						$plugin['interval_time'], $plugin['parameter'], $plugin['priority'], null, null);
					$plugin = model_esia::getPlugin($dbconnection,'CHECK_HTTP');
					$plugin = $plugin[0];
					model_adm::addService($dbconnection, 'CHECK_HTTP', $plugin['id'], $node_id,
						$plugin['interval_time'], $plugin['parameter']." -u '/stat.php?action=byday'", $plugin['priority'], null, null);
					$pattern = Model_adm::getPatternService($dbconnection,'default_snmp_linux_server');
					if(!empty($pattern))
					{
						$pattern= array_shift($pattern);
						model_adm::assignPatternServiceNode($dbconnection, $pattern['id'], $node_id);
					}
				}
				$ADM_MESSAGE[] = array('message' => $lang['SYSLOG_UPDATE_SUCCESS']);
				$smarty->assign('ADM_MESSAGE',$ADM_MESSAGE);
			}
			$setting = Model_adm::getAdvanceNodeConfig($dbconnection,NULL,$adv_config_id)[0];
			$smarty->assign('serverurl',$setting['parameter']['url']);
			//Le reste de mon code ici
			$smarty->assign('node',$node_id);
			$smarty->assign('adv_id',$adv_config_id);
			$smarty->assign('url',$setting['controller']);
			$smarty->display($template_path.'/adv_syslog_url.html');
		}
		catch(Exception $ex)
		{
			$ERRORS[] = array('name' => 'DB error' ,'message' => $ex->getMessage());
			$smarty->assign('ERRORS',$ERRORS);
		}
	}
}
?>
